Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.web.crawl({
url: "https://muffled-clavicle.info",
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/web/crawl \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"max_pages": 123,
"max_depth": 123
}
'import requests
url = "https://api.crevio.co/v1/web/crawl"
payload = {
"url": "<string>",
"max_pages": 123,
"max_depth": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', max_pages: 123, max_depth: 123})
};
fetch('https://api.crevio.co/v1/web/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"type": "<string>",
"model": "<string>",
"progress": 123,
"input": {},
"result": {},
"error": "<string>",
"error_code": "<string>",
"credits_used": 123,
"provider_request_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Web research
Crawl a site
Crawls a site to markdown across multiple pages. Asynchronous — returns a queued job; poll GET /v1/jobs/{id} for the pages. Charges credits on completion.
POST
/
web
/
crawl
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.web.crawl({
url: "https://muffled-clavicle.info",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Body
application/json
Response
Job queued
Available options:
queued, processing, completed, failed, cancelled Was this page helpful?
⌘I

